//
//  NiceFileNameFormatter.m
//  Home Zone
//
//  Created by Jonas on 13.02.07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "NiceFileNameFormatter.h"


@implementation NiceFileNameFormatter

+ (Class)transformedValueClass {
	return [NSString class];
}

+ (BOOL)allowsReverseTransformation {
	return NO;
}

- (id)transformedValue:(id)value {
	if (!value || [value length] == 0)
		return @"";
	if ([value hasPrefix:@"/"])
		return [value lastPathComponent];
	NSURL *url = [NSURL URLWithString:value];
	if (!url)
		return [value lastPathComponent];
	return [url host];
}


@end
