//
//  CancelButton.m
//  Aurora
//
//  Created by Jonas on 14.12.06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import "CancelButton.h"


@implementation CancelButton

- (void)drawRect:(NSRect)aRect
{
	float size = [self frame].size.width;	
#define CROSS_BORDER (0.35 * size) 
#define CROSS_WIDTH (0.23 * 8 / 14 * size)
	
    NSRect r1 = NSMakeRect(0, 0, size, size);
    NSBezierPath *circle = [[NSBezierPath bezierPathWithOvalInRect:r1] retain];
    
	[[NSColor colorWithDeviceWhite:0.65 alpha:0.8] set];
	[circle fill];
	
    NSBezierPath *cross = [[NSBezierPath bezierPath] retain];
    [cross moveToPoint:NSMakePoint(CROSS_BORDER, CROSS_BORDER)];
    [cross lineToPoint:NSMakePoint((size - CROSS_BORDER), (size - CROSS_BORDER))];
    [cross moveToPoint:NSMakePoint(CROSS_BORDER, (size - CROSS_BORDER))];
    [cross lineToPoint:NSMakePoint((size - CROSS_BORDER), CROSS_BORDER)];
    [cross setLineCapStyle:NSRoundLineCapStyle];
    [cross setLineWidth:CROSS_WIDTH];
	
	[[NSColor colorWithDeviceWhite:1 alpha:1] set];
	[cross stroke];
}

- (void)mouseUp:(NSEvent *)theEvent
{
	[delegate setValue:nil forKey:@"path"];
//	[[alarmController selection] setValue:nil forKey:@"actionDescription"];
	
	NSPoint loc = [NSEvent mouseLocation];
	loc.x -= 240;
	loc.y -= 10;
	NSShowAnimationEffect(NSAnimationEffectPoof, loc, NSMakeSize(48, 48), nil, nil, nil);
}


@end
